//
//  NSFileManager+Tools.h
//  PSPWare
//
//  Created by Maksim Rogov on Sat Mar 19 2005.
//  Copyright (c) 2005 Nullriver, Inc. All rights reserved.
//

#import <Foundation/Foundation.h>

// NSString+NDCarbonUtilities is from NDAlias
#import "NSString+NDCarbonUtilities.h"

#include <sys/param.h>
#include "unistd.h"
#include <fcntl.h>

@interface NSFileManager (Tools)

- (void)createPath:(NSString *)path;
- (NSString *)makeFilename:(NSString *)string;
- (BOOL)copyPath:(NSString *)source toPath:(NSString *)destination detailedHandler:(id)handler;
- (NSString *)pathByResolvingAliasesInPath:(NSString*)path;
- (NSString *)sizeDescriptionForByteCount:(NSNumber *)byteCount;
- (BOOL)trashFileAtPath:(NSString *)path handler:(id)handler;

@end
